<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);

require_once('../incfiles/core.php');
$textl = 'Установка цен';
require_once('../incfiles/head.php');

/***********
 МаГазин для сайта
 Аффтар - ValekS
 http://john-help.ru
***********/
if ($rights > 6 and $user_id){
echo '<div class="phdr"><a href="/shop/">Магазин '.str_replace('http://', '',$set['homeurl']).'</a> | Установка цен</div>';

switch ($act) {
case 'price':
if (isset($_POST['submit'])) {
    // Принимаем данные
    $pr1 = isset($_POST['status']) ? abs(intval($_POST['status'])) : '';
    $pr2 = isset($_POST['login']) ? abs(intval($_POST['login'])) : '';
    $pr3 = isset($_POST['karmap']) ? abs(intval($_POST['karmap'])) : '';
    $pr4 = isset($_POST['karmam']) ? abs(intval($_POST['karmam'])) : '';
    $pr5 = isset($_POST['amail']) ? abs(intval($_POST['amail'])) : '';
    $pr6 = isset($_POST['cnick']) ? abs(intval($_POST['cnick'])) : '';
    $pr7 = isset($_POST['cstat']) ? abs(intval($_POST['cstat'])) : '';
    $error = false;

    // Провереряем данные цена
    if (empty($pr1) || empty($pr2) || empty($pr3) || empty($pr4) || empty($pr5) || empty($pr6) || empty($pr7))
        $error = $error . 'Не ввёдена цена!<br />';

    if (preg_match('/[^\d]+/', $pr1) || preg_match('/[^\d]+/', $pr2) || preg_match('/[^\d]+/', $pr3) || preg_match('/[^\d]+/', $pr4) || preg_match('/[^\d]+/', $pr5) || preg_match('/[^\d]+/', $pr6) || preg_match('/[^\d]+/', $pr7))
        $error = $error . 'Недопустимые символы в цене!<br />';

    // Заносим данные в БД
    if (empty($error)) {

    mysql_query("UPDATE `shop` SET `price` = CASE WHEN `id` = 1 THEN '$pr1' WHEN `id` = 2 THEN '$pr2' WHEN `id` = 3 THEN '$pr3' WHEN `id` = 4 THEN '$pr4' WHEN `id` = 10 THEN '$pr5' WHEN `id` = 11 THEN '$pr6' WHEN `id` = 12 THEN '$pr7' END WHERE `id` IN('1', '2', '3', '4', '10', '11', '12')");

        echo '<div class="gmenu">Цены установлены!</div>';
    } else {
        echo '<div class="rmenu"><p><b>ОШИБКА!</b><br />' . $error . '</p></div>';
    }
       }
     // запросы на цены
    $price_sql = mysql_query("SELECT `price` FROM `shop` WHERE `id` IN('1', '2', '3', '4', '10', '11', '12')");
    $i = 1;
    $arr = array(1 => "Установка статуса:","Смена ника:","Карма +:","Карма -:","Анонимное ЛС:","Цветной НИК:","Цветной Статус:");
    $arr2 = array(1 => "status","login","karmap","karmam","amail","cnick","cstat");
    $arr3 = array(1 =>
    "Введите количество списываемых с юзера монет при установке статуса",
    "Введите количество списываемых с юзера монет при смене ника",
    "Введите количество списываемых с юзера монет за положительный голос в карму",
    "Введите количество списываемых с юзера монет за удаление отрицательного голоса в карме",
    "Введите количество списываемых с юзера монет за отправку анонимного ЛС",
    "Введите количество списываемых с юзера монет за смену цвета Ника",
    "Введите количество списываемых с юзера монет за смену цвета Статуса");

    echo '<div class="list2">Админ, сдесь ты можешь назначить цены на товары в магазине.</div>';
    echo '<form action="adm.php?act=price" method="post">';

    while ($price = mysql_fetch_assoc($price_sql)) {
    echo $i % 2 ? '<div class="list2">' : '<div class="list1">';

    echo '<p><b>'.$arr[''.$i.''].'</b><br/><input type="text" name="'.$arr2[''.$i.''].'" maxlength="15" value="' . $price['price'] . '" /><br/><small>'.$arr3[''.$i.''].'</small></p>';

    echo '</div>';
    ++$i;
    }

    echo '<div class="list2"><input type="submit" name="submit" value="Narhlarni belgilash"/></div></form>';
    break;

case 'balans':
    if (isset($_POST['submit'])) {
    // Принимаем данные
    $mn1 = isset($_POST['bonus']) ? abs(intval($_POST['bonus'])) : '';
    $mn2 = isset($_POST['fpost']) ? abs(intval($_POST['fpost'])) : '';
    $mn3 = isset($_POST['nt']) ? abs(intval($_POST['nt'])) : '';
    $mn4 = isset($_POST['gpost']) ? abs(intval($_POST['gpost'])) : '';
    $mn5 = isset($_POST['komm']) ? abs(intval($_POST['komm'])) : '';
    $mn6 = isset($_POST['reg']) ? abs(intval($_POST['reg'])) : '';
 $mn7 = isset($_POST['chpost']) ? abs(intval($_POST['chpost'])) : '';
$mn8 = isset($_POST['news']) ? abs(intval($_POST['news'])) : '';
    $error = false;


    // Провереряем данные
    if (empty($mn1) || empty($mn2) || empty($mn3) || empty($mn4) || empty($mn5) || empty($mn6)
 || empty($mn7)
 || empty($mn8))
    $error = $error . 'Narhlar Kiritilmadi!<br />';

    if (preg_match('/[^\d]+/', $mn1) || preg_match('/[^\d]+/', $mn2) || preg_match('/[^\d]+/', $mn3) || preg_match('/[^\d]+/', $mn4) || preg_match('/[^\d]+/', $mn5) || preg_match('/[^\d]+/', $mn6)
|| preg_match('/[^\d]+/', $mn7)
|| preg_match('/[^\d]+/', $mn8))
    $error = $error . 'Taqiqlangan belgilar!<br />';

    // Заносим данные в БД
    if (empty($error)) {
        mysql_query("UPDATE `shop` SET `price` = CASE WHEN `id` = 5 THEN '$mn1' WHEN `id` = 6 THEN '$mn2' WHEN `id` = 7 THEN '$mn3' WHEN `id` = 8 THEN '$mn4' WHEN `id` = 9 THEN '$mn5' WHEN `id` = 10 THEN '$mn6'  WHEN `id` = 13 THEN '$mn7' WHEN `id` = 14 THEN '$mn8' END WHERE `id` IN('5', '6', '7', '8', '9', '10', '13', '14')");
    
        echo '<div class="gmenu">Yechib olinuvchi narhlar o\'rnatildi!</div>';
    } else {
         echo '<div class="rmenu"><p><b>Xato!</b> <br/>' . $error . '</p></div>';
    }
       }

    // запрос на цены
    $price_sql = mysql_query("SELECT `price` FROM `shop` WHERE `id` IN('5', '6', '7', '8', '9', '10', '13', '14')");

    $i = 1;

    $arr = array(1 => "Kunlik Jekpot:"," Forum Fikirlar :","Yangi mavzu:","Mehmonhodagi Fikirlar:","Fikirlar:","Регистрация:","Чат:"," Yangiliklar:");
    $arr2 = array(1 => "bonus","fpost","nt","gpost","komm","reg","chpost"," news");
    $arr3 = array(1 =>
    "Введите количество начисляемых юзеру монет в виде ежедневного бонуса",
    "Введите количество начисляемых юзеру монет за пост на форуме",
    "Введите количество начисляемых юзеру монет за создание новой темы и ПП в ней",
    "Введите количество начисляемых юзеру монет за пост в гостевой",
    "Введите количество начисляемых юзеру монет за комментарий",
    "Введите количество начисляемых юзеру монет за регистрацию на сайте",
     " Chatda fikirlar uchun beriladigan FCBCoinsni kiriting!",
" Yangiliklarda fikirlar uchun beriladigan narhlar kiriting!" );

    echo '<div class="list2">Админ, сдесь ты можешь назначить количество монет начисляемых юзерам за посты.<br/>А также количество монет ежедневного бонуса.</div>';
    echo '<form action="adm.php?act=balans" method="post">';

    while ($price = mysql_fetch_assoc($price_sql)) {
        echo $i % 2 ? '<div class="list2">' : '<div class="list1">';

        echo '<p><b>'.$arr[''.$i.''].'</b><br/><input type="text" name="'.$arr2[''.$i.''].'" maxlength="15" value="' . $price['price'] . '" /><br/><small>'.$arr3[''.$i.''].'</small></p>';

        echo '</div>';
        ++$i;
    }

    echo '<div class="list2"><input type="submit" name="submit" value="Narhni O`rnatish"/></div></form>';
    break;

default:
echo '<div class="gmenu">Админ, сдесь ты можешь назначить цены на товары в магазине.<br/>И количество монет начисляемых юзерам за посты.<br/>А также изменить количество монет ежедневного бонуса.</div>';
echo '<div class="list1"><a href="adm.php?act=price">Цены на товары</a></div>';
echo '<div class="list2"><a href="adm.php?act=balans">Bonus / Fikirlar uchun LFCCoins </a></div>';
      }
}

require_once('../incfiles/end.php');
?>